commit ac99a367453ed546c74a069ff2d34577e3713784
Author: freddy77 <freddy77>
Date:   Fri Dec 19 10:38:56 2008 +0000

    make some variable static

diff --git a/ChangeLog b/ChangeLog
index 79ebdbd..54ba070 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Dec 19 11:38:30 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/bcp.c src/dblib/unittests/bcp.h:
+	- make some variable static
+
 Fri Dec 19 11:36:53 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/ctlib/blk.c: fix memory problem
 	* src/ctlib/ct.c: small optimization
@@ -1098,4 +1102,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2688 2008/12/19 10:37:51 freddy77 Exp $
+$Id: ChangeLog,v 1.2689 2008/12/19 10:38:56 freddy77 Exp $
diff --git a/src/dblib/unittests/bcp.c b/src/dblib/unittests/bcp.c
index 5954615..511d42d 100644
--- a/src/dblib/unittests/bcp.c
+++ b/src/dblib/unittests/bcp.c
@@ -13,7 +13,7 @@
 
 #include "bcp.h"
 
-static char software_version[] = "$Id: bcp.c,v 1.15 2008/11/25 22:58:29 jklowden Exp $";
+static char software_version[] = "$Id: bcp.c,v 1.16 2008/12/19 10:38:56 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static char cmd[512];
@@ -23,20 +23,20 @@ static void test_bind(DBPROCESS * dbproc);
 /*
  * Static data for insertion
  */
-int not_null_bit = 1;
-char not_null_char[] = "a char";
-char not_null_varchar[] = "a varchar";
-char not_null_datetime[] 		= "Dec 17 2003  3:44PM";
-char not_null_smalldatetime[] 	= "Dec 17 2003  3:44PM";
-char not_null_money[] = "12.34";
-char not_null_smallmoney[] = "12.34";
-char not_null_float[] = "12.34";
-char not_null_real[] = "12.34";
-char not_null_decimal[] = "12.34";
-char not_null_numeric[] = "12.34";
-int not_null_int        = 1234;
-int not_null_smallint   = 1234;
-int not_null_tinyint    = 123;
+static int not_null_bit = 1;
+static char not_null_char[] = "a char";
+static char not_null_varchar[] = "a varchar";
+static char not_null_datetime[] 		= "Dec 17 2003  3:44PM";
+static char not_null_smalldatetime[] 	= "Dec 17 2003  3:44PM";
+static char not_null_money[] = "12.34";
+static char not_null_smallmoney[] = "12.34";
+static char not_null_float[] = "12.34";
+static char not_null_real[] = "12.34";
+static char not_null_decimal[] = "12.34";
+static char not_null_numeric[] = "12.34";
+static int not_null_int        = 1234;
+static int not_null_smallint   = 1234;
+static int not_null_tinyint    = 123;
 
 
 static int
diff --git a/src/dblib/unittests/bcp.h b/src/dblib/unittests/bcp.h
index 1412e9c..5448727 100644
--- a/src/dblib/unittests/bcp.h
+++ b/src/dblib/unittests/bcp.h
@@ -1,4 +1,4 @@
-char create_table_sql[] = 
+static const char create_table_sql[] = 
 "CREATE TABLE all_types_bcp_unittest (\n"
 "	  not_null_bit			bit NOT NULL\n"
 "\n"

